| Home | Libraries | People | FAQ | More

## Function template find_if

boost::compute::find_if

## Synopsis

    // In header: <boost/compute/algorithm/find_if.hpp>

    template<typename InputIterator, typename UnaryPredicate>
      InputIterator
      find_if(InputIterator first, InputIterator last, UnaryPredicate predicate,
              command_queue & queue = system::default_queue());

## Description

Returns an iterator pointing to the first element in the range [`first`, `last`) for which `predicate` returns `true`.